#include "bittest.h"

static int fehlerAnzahl = 0;
static bool fehlerAufgetreten = false;

bool bittest(int z, int s)
{
  if(s < 0 || s > 15)
  {
    fehlerAnzahl++;
    fehlerAufgetreten = true;
  }
  return (z&(1<<s)) != 0;
}

// Wenn die Funktion aus Aufgabe 1 eine Bitnummer
// auerhalb des Bereichs 0 bis 15 erhlt,
// soll dies als Fehler registriert werden.
// Ergnzen Sie die neuen Dateien aus Aufgabe 1 so,
// dass man nachtrglich abfragen kann, wie viele Fehler
// seit Programmstart aufgetreten sind.

int gibFehlerAnzahl(void)
{
  return fehlerAnzahl;
}

// Ergnzen Sie in den Dateien aus Aufgabe 1
// eine Funktion, mit der man feststellen kann,
// ob seit dem vorherigen Aufruf genau dieser
// Funktion ein Fehler aufgetreten ist.
// Vor dem vorherigen Aufruf von gabEsFehlerSeitLetztemAufruf
// aufgetretene Fehler
// sollen dabei ignoriert werden.

bool gabEsFehlerSeitLetztemAufruf(void)
{
  bool alterWert = fehlerAufgetreten;
  fehlerAufgetreten = false;
  return alterWert;
}